#!/bin/sh

APPSCRIPT="/app/script/app.py"
# App-Name ist der Name des Python-Skripts ohne die Endung .py
APPNAME=$(basename "$APPSCRIPT" .py)
APPDIR=$(dirname "$APPSCRIPT")

if [ -f "/app/script/app.py" ]; then
    echo "Das Verzeichnis $APPDIR existiert und enthält die Datei $APPSCRIPT --> führe das Skript aus."
else
    echo "Das Verzeichnis $APPDIR existiert nicht oder die Datei $APPSCRIPT fehlt. --> kopiere die Dateien aus dem Verzeichnis /app/script-dist in das Verzeichnis $APPDIR."
    mkdir -p $APPDIR
    cp -r /app/script-dist/* $APPDIR
fi

echo "Setze Arbeitsverzeichnis auf $APPDIR"
cd $APPDIR
echo "Inhalt des Verzeichnisses $APPDIR:"
ls -l $APPDIR

echo DEV=$DEV 
if [ "${DEV:-}" = "true" ]; then
    echo "DEBUGGING ist auf true gesetzt. Halte Container am Laufen aber starte kein gunicorn"
    while true; do
        echo "Schlafe 10 Minuten..."
        sleep 600
    done
else
    APP_WEBPORT=${APP_WEBPORT:-42425}
    APP_WORKERS=${APP_WORKERS:-4}
    echo "APP_WEBPORT ist auf $APP_WEBPORT gesetzt."
    echo "Starte Gunicorn mit $APP_WORKERS Worker auf Port $APP_WEBPORT."
    while true; do
        echo "Starte gunicorn ..."
        PYTHONPATH=$APPDIR gunicorn -w $APP_WORKERS -b 0.0.0.0:$APP_WEBPORT app:$APPNAME     
        echo "Script wurde beendet, warte 60 Sekunden bis zum nächsten Start."
        sleep 60
    done
fi